#INCLUDE "RWMAKE.CH"
#INCLUDE "TBICONN.CH"
#INCLUDE "AP5MAIL.CH"
#INCLUDE "PROTHEUS.CH"
#INCLUDE "TOTVS.CH"
#INCLUDE "TOPCONN.CH"

User Function GERA_GIRO()
// U_GERA_GIRO()

Local _CLI
Local _ULT_NF

Local cCliente := ' '
Local cCliPRI  := ' '
Local cLOja    := ' '
Local cCGC     := ' '
Local cTODOS   := ' '
Local _YGIRO   := 0
Local _EMP     := ' '
Local cSql     := ' '
Local cDoc     := ' '
Local cSerie   := ' '
Local lAchou   := .F.
Local cDTA     := " "
Local cFIL_LJ  := ''
//Local ENTER  := char(13)+char(10)

If (IsBlind())

	RPCSetType(3)
	RPCSetEnv("01","01","","","","",{})
Else

	If Alltrim(cEmpAnt)  != '01'

		Alert("APENAS NA EMPRESA 01.")
		return
	Endif

Endif

_CLI :=  GetNextAlias()
_ULT_NF :=  GetNextAlias()

BeginSql Alias _CLI

	Select 
	
	SA1.A1_COD     as A1_COD,
	SA1.A1_LOJA    as A1_LOJA,
	SA1.A1_CGC     as A1_CGC,
	SA1.A1_VEND    as A1_VEND,
	SA1.A1_YDTVALI as A1_YDTVALI,
	SA1.A1_CLIPRI  as A1_CLIPRI
 
	From   SA1010 SA1 (nolock)
	Where  SA1.D_E_L_E_T_  = ' '
	And    SA1.A1_CGC     != ' '
	And    SA1.A1_COD NOT IN ('000000', 'ECOMME')
	And    SA1.A1_VEND != '000999'
	And    SA1.A1_GRPVEN = ' '

	And    (
	       (Exists (Select SF2.*
	                From   SF2010 SF2 (nolock)
				    Where  SF2.F2_CLIENTE = SA1.A1_COD
				    And    SF2.F2_LOJA    = SA1.A1_LOJA
					And    SF2.F2_TIPO    = 'N'
				    And    SF2.D_E_L_E_T_ = ' '))
		    Or

		   (Exists (Select SF2.*
	                From   SF2050 SF2 (nolock)
				    Where  SF2.F2_CLIENTE = SA1.A1_COD
				    And    SF2.F2_LOJA    = SA1.A1_LOJA
					And    SF2.F2_TIPO    = 'N'
					And    SF2.F2_FILIAL  = '01'
				    And    SF2.D_E_L_E_T_ = ' '))
		   )

	Union all

	Select
	
	SA1.A1_COD     as A1_COD,
	SA1.A1_LOJA    as A1_LOJA,
	SA1.A1_CGC     as A1_CGC,
	SA1.A1_VEND    as A1_VEND,
	SA1.A1_YDTVALI as A1_YDTVALI,
	SA1.A1_CLIPRI  as A1_CLIPRI
 
	From   SA1010 SA1 (nolock)
	Where  SA1.D_E_L_E_T_  = ' '
	And    SA1.A1_CGC     != ' '
	And    SA1.A1_COD NOT IN ('000000', 'ECOMME')
	And    SA1.A1_VEND not in ('', '000001', '000999')
	And    SA1.A1_GRPVEN = ' '

	And    (
	       (not Exists (Select SF2.*
	                    From   SF2010 SF2 (nolock)
				        Where  SF2.F2_CLIENTE = SA1.A1_COD
				        And    SF2.F2_LOJA    = SA1.A1_LOJA
						And    SF2.F2_TIPO = 'N'
				        And    SF2.D_E_L_E_T_ = ' '))
		    and

		   (not Exists (Select SF2.*
	                    From   SF2050 SF2 (nolock)
				        Where  SF2.F2_CLIENTE = SA1.A1_COD
				        And    SF2.F2_LOJA    = SA1.A1_LOJA
						And    SF2.F2_TIPO = 'N'
						And    SF2.F2_FILIAL = '01'
				        And    SF2.D_E_L_E_T_ = ' '))
		   )

	Order by SA1.A1_VEND, SA1.A1_CLIPRI

EndSql
	
//	And  ((SA1.A1_COD = '003303') or (SA1.A1_CLIPRI = '003303'))
//	And  ((SA1.A1_COD = '003932') or (SA1.A1_CLIPRI = '003932'))	

(_CLI)->(DbGoTop())
While .Not. (_CLI)->(Eof())

	cCliente := (_CLI)->(A1_COD)
	cLoja    := (_CLI)->(A1_LOJA)
	cCGC     := (_CLI)->(A1_CGC)
	cVEND    := (_CLI)->(A1_VEND)
	cCliPRI  := (_CLI)->(A1_CLIPRI)
				
	If Alltrim(cCliPRI) = ''
	
		cTODOS := 'N'
		DbSelectArea('SA1')
		SA1->(DbOrderNickName('CLIPRI'))
		DbGoTop()			
		If DbSeek( xFilial("SA1")+cCliente )
			cTODOS := 'S'
			cCliPRI  := cCliente			
		EndIf		
	Else
		cTODOS := 'S'
		DbSelectArea('SA1')
		DbSetOrder(1)
		If DbSeek (xFilial('SA1')+cCliPRI)
			cVEND    := SA1->A1_VEND
		EndIf
	EndIf
	
	If !Empty((_CLI)->(A1_YDTVALI))
		cDTA     := (_CLI)->(A1_YDTVALI)
	EndIf

	If cLoja $ '02#03#04#05#06#07#08#09'
		cFIL_LJ  := "S"
	Else
		cFIL_LJ  := "N"
	EndIf
		
	// Tratando a DUCOPRINT
	BeginSql Alias _ULT_NF

		Select   Top 1 IsNULL(SF2.F2_EMISSAO, 'NTEM') 	as EMISSAO,
		         'DUCOPRINT-FIL:'+SF2.F2_FILIAL      	as EMPRESA,
		         SF2.F2_DOC                     		as DOCUMENTO,
		         SF2.F2_SERIE                   		as SERIE				 		         
		From
		SF2010 SF2 (NoLock)
		Inner join 
		SD2010 SD2 (NoLock)
		On       SD2.D2_FILIAL  = SF2.F2_FILIAL
		And      SD2.D2_DOC     = SF2.F2_DOC
		And      SD2.D2_SERIE   = SF2.F2_SERIE
		And      SD2.D2_CLIENTE = SF2.F2_CLIENTE
		And      SD2.D2_LOJA    = SF2.F2_LOJA
		And      SD2.D_E_L_E_T_ = ' '
	
		Inner join 
		SB1010 SB1 (NoLock)
		On       SB1.B1_COD = SD2.D2_COD
		And      SB1.D_E_L_E_T_ = ' '

		Inner join 
		SF4010 SF4 (NoLock)
		On       SF4.F4_CODIGO  = SD2.D2_TES
		And      SF4.F4_FILIAL = SD2.D2_FILIAL
		And      SF4.D_E_L_E_T_ = ' '
		And      SF4.F4_CF     != '000'
		
		Inner join
		SA1010 SA1 (NoLock)
				 
		On      ((SA1.A1_CGC     = %EXP:cCGC% And 'N' = %EXP:cTODOS%) or
				 ('S' = %EXP:cTODOS%) And (SA1.A1_CLIPRI = %EXP:cCliPRI% or  SA1.A1_COD = %EXP:cCliPRI%)
				)			
		And      SF2.F2_CLIENTE = SA1.A1_COD
		And      SF2.F2_LOJA    = SA1.A1_LOJA
		And     ((%EXP:cFIL_LJ% = 'S' And SA1.A1_LOJA = %EXP:cLoja%) or
		         (%EXP:cFIL_LJ% = 'N')
				)
		And      SA1.D_E_L_E_T_ = ' '
						
		Where    SF2.D_E_L_E_T_ = ' '
		And      SF2.F2_TIPO = 'N'

		Order by SF2.F2_EMISSAO DESC
				
	EndSql
	
	_YGIRO  := 0
	cDoc    := " "
	cSerie  := " "
	lAchou  := .F.
	
	(_ULT_NF)->(DbGoTop())
	While .Not. (_ULT_NF)->(Eof())
	    
	    If Alltrim((_ULT_NF)->(EMISSAO)) != 'NTEM'
	    
	    	If _YGIRO = 0
	    		_YGIRO := ddatabase - Stod( (_ULT_NF)->(EMISSAO) )
	    		_EMP   := (_ULT_NF)->(EMPRESA)
	    		lAchou  := .T.
	    	Else
	    		If _YGIRO > ( ddatabase - Stod( (_ULT_NF)->(EMISSAO) ) )
	    		
	    			_YGIRO := ( ddatabase - Stod( (_ULT_NF)->(EMISSAO) ) )
	    			_EMP   := (_ULT_NF)->(EMPRESA)
	    			lAchou := .T.
	    		EndIf
	    	EndIf
	    EndIf
	    
		cDoc   := (_ULT_NF)->(DOCUMENTO)
		cSerie := (_ULT_NF)->(SERIE)
		
		(_ULT_NF)->(DbSkip())
		
	EndDo
	(_ULT_NF)->(DbCloseArea())
	// Ate aqui para calcular o DUCOPRINT

	// Tratando a ACF
	BeginSql Alias _ULT_NF

		Select   Top 1 IsNULL(SF2.F2_EMISSAO, 'NTEM') 	as EMISSAO,
		         'ACF-MAT:'+SF2.F2_FILIAL      		    as EMPRESA,
		         SF2.F2_DOC                     		as DOCUMENTO,
		         SF2.F2_SERIE                   		as SERIE
		         
		From
		SF2050 SF2 (NoLock)
		Inner join 
		SD2050 SD2 (NoLock)
		On       SD2.D2_FILIAL  = SF2.F2_FILIAL
		And      SD2.D2_DOC     = SF2.F2_DOC
		And      SD2.D2_SERIE   = SF2.F2_SERIE
		And      SD2.D2_CLIENTE = SF2.F2_CLIENTE
		And      SD2.D2_LOJA    = SF2.F2_LOJA
		And      SD2.D_E_L_E_T_ = ' '
	
		Inner join 
		SB1010 SB1 (NoLock)
		On       SB1.B1_COD = SD2.D2_COD
		And      SB1.D_E_L_E_T_ = ' '

		Inner join 
		SF4050 SF4 (NoLock)
		On       SF4.F4_CODIGO  = SD2.D2_TES
		And      SF4.F4_FILIAL = SD2.D2_FILIAL
		And      SF4.D_E_L_E_T_ = ' '
		And      SF4.F4_CF     != '000'
		
		Inner join
		SA1010 SA1 (NoLock)
				 
		On      ((SA1.A1_CGC     = %EXP:cCGC% And 'N' = %EXP:cTODOS%) or
				 ('S' = %EXP:cTODOS%) And (SA1.A1_CLIPRI = %EXP:cCliPRI% or  SA1.A1_COD = %EXP:cCliPRI%)
				)			
		And      SF2.F2_CLIENTE = SA1.A1_COD
		And      SF2.F2_LOJA    = SA1.A1_LOJA
		And     ((%EXP:cFIL_LJ% = 'S' And SA1.A1_LOJA = %EXP:cLoja%) or
		         (%EXP:cFIL_LJ% = 'N')
				)
		And      SA1.D_E_L_E_T_ = ' '
						
		Where    SF2.D_E_L_E_T_ = ' '
		And      SF2.F2_FILIAL = '01'
		And      SF2.F2_TIPO = 'N'

		Order by SF2.F2_EMISSAO DESC				
	EndSql

	(_ULT_NF)->(DbGoTop())
	While .Not. (_ULT_NF)->(Eof())
	    
	    If Alltrim((_ULT_NF)->(EMISSAO)) != 'NTEM'
	    
	    	If _YGIRO = 0
	    		_YGIRO := ddatabase - Stod( (_ULT_NF)->(EMISSAO) )
	    		_EMP   := (_ULT_NF)->(EMPRESA)

				cDoc   := (_ULT_NF)->(DOCUMENTO)
				cSerie := (_ULT_NF)->(SERIE)

	    		lAchou  := .T.
	    	Else
	    		If _YGIRO > ( ddatabase - Stod( (_ULT_NF)->(EMISSAO) ) )
	    		
	    			_YGIRO := ( ddatabase - Stod( (_ULT_NF)->(EMISSAO) ) )
	    			_EMP   := (_ULT_NF)->(EMPRESA)

					cDoc   := (_ULT_NF)->(DOCUMENTO)
					cSerie := (_ULT_NF)->(SERIE)
				
	    			lAchou := .T.
	    		EndIf
	    	EndIf
	    EndIf
	    		
		(_ULT_NF)->(DbSkip())
		
	EndDo
	(_ULT_NF)->(DbCloseArea())
	// Ate aqui para calcular o ACF
		
	If _YGIRO < 91
	
		cSql  := " Update SA1010 "	
		If ((_YGIRO > 0) .And. (_YGIRO < 91))
			cSql  += " Set    A1_YGIRO   = '"+ AllTRIM(Str(_YGIRO)) + "', A1_YDTVALI = ' ', "
			cDTA  := " "
		Else
			If !Empty(cDTA)
			
				If DtOS(date()) > cDTA .And. cVEND != '000001'
				
					cSql  += " Set A1_YGIRO = '"+ AllTRIM(Str(_YGIRO)) + "', A1_YDTVALI = ' ', "
					cDTA  := " "
					cVEnd := '000001'		
					
					//INSERINDO O HISTORICO DO CLIENTE			
					DbSelectArea("ZZ1")
					Reclock("ZZ1",.T.)
					ZZ1->ZZ1_FILIAL	  := xFilial("ZZ1")
					ZZ1->ZZ1_VENDAN   := cVEND
					ZZ1->ZZ1_VEND     := '000001'
					ZZ1->ZZ1_CLIENT   := cCliente
					ZZ1->ZZ1_LOJA     := cLoja
					ZZ1->ZZ1_NMCLI    := Posicione("SA1",1,xFilial("SA1")+cCliente+cLoja, "A1_NOME")
					ZZ1->ZZ1_DTINI    := date()
					ZZ1->ZZ1_DTFIM    := date()
					ZZ1->ZZ1_HIST     :=  "Venceu a data limite  " + UsrFullName(__cUserID) + ' Em:' + ;
																substr(dtos(ddatabase), 7, 2) + '/' + ;
																substr(dtos(ddatabase), 5, 2) + '/' + ;
		                                             			substr(dtos(ddatabase), 1, 4) + ' ' + Time()
					ZZ1->(msUnlock())																									
				Else
					cSql  += " Set    A1_YGIRO   = '"+  AllTRIM(Str(_YGIRO)) + "',  "
				Endif
			Else
				cSql  += " Set    A1_YGIRO   = '"+ AllTRIM(Str(_YGIRO)) + "', "	

				If cVend != '000001'

					//INSERINDO O HISTORICO DO CLIENTE			
					DbSelectArea("ZZ1")
					Reclock("ZZ1",.T.)
					ZZ1->ZZ1_FILIAL	  := xFilial("ZZ1")
					ZZ1->ZZ1_VENDAN   := cVEND
					ZZ1->ZZ1_VEND     := '000001'
					ZZ1->ZZ1_CLIENT   := cCliente
					ZZ1->ZZ1_LOJA     := cLoja
					ZZ1->ZZ1_NMCLI    := Posicione("SA1",1,xFilial("SA1")+cCliente+cLoja, "A1_NOME")
					ZZ1->ZZ1_DTINI    := date()
					ZZ1->ZZ1_DTFIM    := date()
					ZZ1->ZZ1_HIST     :=  "Sem data Limite informada e giro 0 " + UsrFullName(__cUserID) + ' Em:' + ;
																substr(dtos(ddatabase), 7, 2) + '/' + ;
																substr(dtos(ddatabase), 5, 2) + '/' + ;
		                                             			substr(dtos(ddatabase), 1, 4) + ' ' + Time()
					ZZ1->(msUnlock())
				EndIf
				cVEnd := '000001'
			EndIf
		EndIF
		
		cSql  += "        A1_YGIROEM = '"+ _EMP + "', "
		cSql  += "        A1_YUL_NF  = '"+ cDoc + "', "
		cSql  += "        A1_YUL_SER = '"+ cSerie + "', "
		cSql  += "        A1_VEND 	 = '"+ cVEnd + "' "
	
		cSql  += " Where   ((A1_CGC     = '" + cCGC + "' And 'N' = '" + cTODOS + "') or "
		cSql  += "          ('S'     = '" + cTODOS + "' And (A1_CLIPRI = '" + cCliPRI + "' or A1_COD = '" + cCliPRI + "')) 
		cSql  += 		   ")"	
		//cFIL_LJ
		iF cLoja $ '02#03#04#05#06#07#08#09'
			cSql  += " And    	A1_LOJA = '"+cLoja+"' "
		Else
			cSql  += " And    	A1_LOJA in ('01', 'RT', '10', ' 1', '00', '1 ') "
		EndIf
		cSql  += " And    	D_E_L_E_T_ = ' ' "		
		cSql  += " And      A1_GRPVEN  = ' ' "
		cSql  += " And      A1_VEND   != '000999' "	
		TcSQLExec(cSql)
	Else
		// Acima de 90 dias e nao for Administrador
		// Muda para Administrador
		
		If ( (_YGIRO > 90) .And. (cVEND = '000001') )
		
			cSql  := " Update SA1010 "						
			cSql  += " Set    A1_VEND = '000001', A1_YDTVALI = ' ',  "
			cSql  += " 		  A1_YGIRO   = '"+  AllTRIM(Str(_YGIRO)) + "', "
			cSql  += "        A1_YGIROEM = '"+ _EMP + "', "
			cSql  += "        A1_YUL_NF  = '"+ cDoc + "', "
			cSql  += "        A1_YUL_SER = '"+ cSerie + "' "
							
			cSql  += " Where   ((A1_CGC     = '" + cCGC + "' And 'N' = '" + cTODOS + "') or "
			cSql  += "          ('S'     = '" + cTODOS + "' And (A1_CLIPRI = '" + cCliPRI + "' or A1_COD = '" + cCliPRI + "')) 
			cSql  += 		   ")"	
			//cFIL_LJ
			iF cLoja $ '02#03#04#05#06#07#08#09'
				cSql  += " And    	A1_LOJA = '"+cLoja+"' "
			Else
				cSql  += " And    	A1_LOJA in ('01', 'RT', '10', ' 1', '00', '1 ') "
			EndIf
			cSql  += " And    	D_E_L_E_T_ = ' ' "
			cSql  += " And      A1_GRPVEN  = ' ' "
			cSql  += " And      A1_VEND   != '000999' "
			TcSQLExec(cSql)
			
		Else
		
			If ((_YGIRO > 90) .And. (cVEND != '000001') .And. Empty(cDTA))
			
					cSql  := " Update SA1010 "						
					cSql  += " Set    A1_VEND = '000001', A1_YDTVALI = ' ',  "
					cSql  += " 		  A1_YGIRO   = '"+  AllTRIM(Str(_YGIRO)) + "', "
					cSql  += "        A1_YGIROEM = '"+ _EMP + "', "
					cSql  += "        A1_YUL_NF  = '"+ cDoc + "', "
					cSql  += "        A1_YUL_SER = '"+ cSerie + "' "
								
					cSql  += " Where   ((A1_CGC     = '" + cCGC + "' And 'N' = '" + cTODOS + "') or "
					cSql  += "          ('S'     = '" + cTODOS + "' And (A1_CLIPRI = '" + cCliPRI + "' or A1_COD = '" + cCliPRI + "')) 
					cSql  += 		   ")"	
					//cFIL_LJ
					iF cLoja $ '02#03#04#05#06#07#08#09'
						cSql  += " And    	A1_LOJA = '"+cLoja+"' "
					Else
						cSql  += " And    	A1_LOJA in ('01', 'RT', '10', ' 1', '00', '1 ') "
					EndIf
					cSql  += " And    	D_E_L_E_T_ = ' ' "
					cSql  += " And      A1_GRPVEN  = ' ' "
					cSql  += " And     A1_VEND   != '000999' "
					TcSQLExec(cSql)
		
					//INSERINDO O HISTORICO DO CLIENTE			
					
					DbSelectArea("ZZ1")
					Reclock("ZZ1",.T.)
					ZZ1->ZZ1_FILIAL	  := xFilial("ZZ1")
					ZZ1->ZZ1_VENDAN   := cVEND
					ZZ1->ZZ1_VEND     := '000001'
					ZZ1->ZZ1_CLIENT   := cCliente
					ZZ1->ZZ1_LOJA     := cLoja
					ZZ1->ZZ1_NMCLI    := Posicione("SA1",1,xFilial("SA1")+cCliente+cLoja, "A1_NOME")
					ZZ1->ZZ1_DTINI    := date()
					ZZ1->ZZ1_DTFIM    := date()
					ZZ1->ZZ1_HIST     := "Giro > 90 dias : " +  UsrFullName(__cUserID) + ' Em:' + ;
																	substr(dtos(ddatabase), 7, 2) + '/' + ;
																	substr(dtos(ddatabase), 5, 2) + '/' + ;
																	substr(dtos(ddatabase), 1, 4) + ' ' + Time()                                             			
					ZZ1->(msUnlock())
					
			ElseIf ((_YGIRO > 90) .And. (cVEND != '000001') .And. !Empty(cDTA))
			
				If DtOS(date()) > cDTA .And. cVEND != '000001'
						
					cSql  := " Update SA1010 "
					cSql  += " Set    A1_VEND = '000001', A1_YDTVALI = ' ', "
					cSql  += " 		  A1_YGIRO   = '"+  AllTRIM(Str(_YGIRO)) + "', "
					cSql  += "        A1_YGIROEM = '"+ _EMP + "', "
					cSql  += "        A1_YUL_NF  = '"+ cDoc + "', "
					cSql  += "        A1_YUL_SER = '"+ cSerie + "' "
					
					//cSql  += " Where  A1_CGC  = '" + cCGC + "' "
					cSql  += " Where   ((A1_CGC     = '" + cCGC + "' And 'N' = '" + cTODOS + "') or "
					cSql  += "          ('S'     = '" + cTODOS + "' And (A1_CLIPRI = '" + cCliPRI + "' or A1_COD = '" + cCliPRI + "')) 
					cSql  += 		   ")"	
					//cFIL_LJ
					iF cLoja $ '02#03#04#05#06#07#08#09'
						cSql  += " And    	A1_LOJA = '"+cLoja+"' "
					Else
						cSql  += " And    	A1_LOJA in ('01', 'RT', '10', ' 1', '00', '1 ') "
					EndIf
					cSql  += " And    D_E_L_E_T_ = ' ' "
					cSql  += " And    A1_GRPVEN  = ' ' "
					cSql  += " And    A1_VEND   != '000999' "
					TcSQLExec(cSql)
					
					//INSERINDO O HISTORICO DO CLIENTE			
					DbSelectArea("ZZ1")
					Reclock("ZZ1",.T.)
					ZZ1->ZZ1_FILIAL	  := xFilial("ZZ1")
					ZZ1->ZZ1_VENDAN   := cVEND
					ZZ1->ZZ1_VEND     := '000001'
					ZZ1->ZZ1_CLIENT   := cCliente
					ZZ1->ZZ1_LOJA     := cLoja
					ZZ1->ZZ1_NMCLI    := Posicione("SA1",1,xFilial("SA1")+cCliente+cLoja, "A1_NOME")
					ZZ1->ZZ1_DTINI    := date()
					ZZ1->ZZ1_DTFIM    := date()
					ZZ1->ZZ1_HIST     := " Venceu a data limite : " + UsrFullName(__cUserID) + ' Em:' + ;
																substr(dtos(ddatabase), 7, 2) + '/' + ;
																substr(dtos(ddatabase), 1, 4) + ' ' + Time()
					ZZ1->(msUnlock()) 
				Else			
					cSql  := " Update SA1010 "
					cSql  += " Set    A1_YGIRO   = '"+  AllTRIM(Str(_YGIRO)) + "', "
					cSql  += "        A1_YGIROEM = '"+ _EMP + "', "
					cSql  += "        A1_YUL_NF  = '"+ cDoc + "', "
					cSql  += "        A1_YUL_SER = '"+ cSerie + "', "
					cSql  += "        A1_VEND 	 = '"+ cVEnd + "' "
					
					cSql  += " Where   ((A1_CGC     = '" + cCGC + "' And 'N' = '" + cTODOS + "') or "
					cSql  += "          ('S'     = '" + cTODOS + "' And (A1_CLIPRI = '" + cCliPRI + "' or A1_COD = '" + cCliPRI + "')) 
					cSql  += 		   ")"	
					//cFIL_LJ
					iF cLoja $ '02#03#04#05#06#07#08#09'
						cSql  += " And    	A1_LOJA = '"+cLoja+"' "
					Else
						cSql  += " And    	A1_LOJA in ('01', 'RT', '10', ' 1', '00', '1 ') "
					EndIf
					cSql  += " And    D_E_L_E_T_ = ' ' "
					cSql  += " And    A1_GRPVEN  = ' ' "
					cSql  += " And    A1_VEND   != '000999' "
					
					TcSQLExec(cSql)				
				EndIF
			EndIF
		EndIF
	EndIf
							
	(_CLI)->(DbSkip())
EndDo

(_CLI)->(DbCloseArea())

If (IsBlind())

	ConOut("ACABOU O CALCULO DO GIRO")

	RESET ENVIRONMENT
Else
	Alert("ACABOU O CALCULO DO GIRO")
Endif

Return
